<?php
session_start();
include("config.inc.php");
include('templates/header.php');
?>
<script>
$(document).ready(function(){	
		$(".form-item").submit(function(e){
			var form_data = $(this).serialize();
			var button_content = $(this).find('button[type=submit]');
			button_content.html('Adding...'); //Loading button text 

			$.ajax({ //make ajax request to cart_process.php
				url: "cart_process.php",
				type: "POST",
				dataType:"json", //expect json value from server
				data: form_data
			}).done(function(data){ //on Ajax success
				$("#cart-info").html(data.items); //total items in cart-info element
				button_content.html('Add to Cart'); //reset button text to original text
				if($(".shopping-cart-box").css("display") == "block"){ //if cart box is still visible
					$(".cart-box").trigger( "click" ); //trigger click to update the cart box.
				}
			})
			e.preventDefault();
		});

	//Show Items in Cart
	$( ".cart-box").click(function(e) { //when user clicks on cart box
		e.preventDefault(); 
		$(".shopping-cart-box").fadeIn(); //display cart box
		$("#shopping-cart-results").html('<img src="images/ajax-loader.gif">'); //show loading image
		$("#shopping-cart-results" ).load( "cart_process.php", {"load_cart":"1"}); //Make ajax request using jQuery Load() & update results
	});
	
	//Close Cart
	$( ".close-shopping-cart-box").click(function(e){ //user click on cart box close link
		e.preventDefault(); 
		$(".shopping-cart-box").fadeOut(); //close cart-box
	});
	
	//Remove items from cart
	$("#shopping-cart-results").on('click', 'a.remove-item', function(e) {
		e.preventDefault(); 
		var pcode = $(this).attr("data-code"); //get product code
		$(this).parent().fadeOut(); //remove item element from box
		$.getJSON( "cart_process.php", {"remove_code":pcode} , function(data){ //get Item count from Server
			$("#cart-info").html(data.items); //update Item count in cart-info
			$(".cart-box").trigger( "click" ); //trigger click on cart-box to update the items list
		});
	});

});
</script>
<nav class="col-md-18-24" style="margin-top: -25px;"> 
	<ol class="breadcrumb">
	    <li class="breadcrumb-item"><a href="../index.php">Home</a></li>
	    <li class="breadcrumb-item"><a href="index.php">Products</a></li>
	</ol>  
</nav>
<a href="#" class="cart-box" id="cart-info" title="View Cart">
<?php 
if(isset($_SESSION["products"])){
	echo count($_SESSION["products"]); 
}else{
	echo 0; 
}
?>
</a>
<div class="shopping-cart-box">
<a href="#" class="close-shopping-cart-box" >Close</a>
<h5>Cart</h5>
    <div id="shopping-cart-results">
    </div>
</div>
<div class="container">
<?php
//List products from database
$results = $mysqli_conn->query("SELECT id, product_name, product_desc, product_code, product_image, product_price, product_weight FROM products_list WHERE active=1");
if (!$results){
    printf("Error: %s\n", $mysqli_conn->error);
    exit;
}

//Display fetched records as you please
$products_list =  '<ul class="products-wrp">';

while($row = $results->fetch_assoc()) {
$amount = $obj->product_price;	
if ($amount>0){
$set = ''.$currency.''.$amount.'';
$giftprice = '$'.$amount.'';
}
else if ($amount<1){
$giftprice = 'Custom ';	
$set = '<input name="amount" placeholder="Enter amount">';	
}
$products_list .= <<<EOT
<a href="product.php?id={$row["id"]}"><li>
<form class="form-item">
<div class="p-image"><img src="images/{$row["product_image"]}" class="img-responsive"></div>
<h4>{$row["product_name"]}</h4>
<div>{$currency}{$row["product_price"]}<div>
<div class="item-box centered">
<center	
	<div>
    <select name="product_qty" class="custom-select mr-sm-2" id="inlineFormCustomSelect">
    <option value="1">1</option>
    <option value="2">2</option>
    <option value="3">3</option>
    <option value="4">4</option>
    <option value="5">5</option>
    </select>
	
	
    <input name="product_code" type="hidden" value="{$row["product_code"]}">
     <input name="product_weight" type="hidden" value="{$row["product_weight"]}">
    <button type="submit" onclick="myFunction()">Add to Cart</button>
</center>   
    </div>
</div>



</form>
</li>
</a>
EOT;

}
$products_list .= '</ul></div>';

echo $products_list;
?>
</div>
<div id="snackbar">Item added to cart <a href="view_cart.php" class="white"><i class="fa fa-shopping-cart"></i></a></div>
<?php include('templates/footer.php'); ?>
