<?php
session_start();
include("config.inc.php");
include('templates/header.php');
$id = $_GET['id'];
?>
<script>
$(document).ready(function(){	
		$(".form-item").submit(function(e){
			var form_data = $(this).serialize();
			var button_content = $(this).find('button[type=submit]');
			button_content.html('Adding...'); //Loading button text 

			$.ajax({ //make ajax request to cart_process.php
				url: "cart_process.php",
				type: "POST",
				dataType:"json", //expect json value from server
				data: form_data
			}).done(function(data){ //on Ajax success
				$("#cart-info").html(data.items); //total items in cart-info element
				button_content.html('Add to Cart'); //reset button text to original text
				if($(".shopping-cart-box").css("display") == "block"){ //if cart box is still visible
					$(".cart-box").trigger( "click" ); //trigger click to update the cart box.
				}
			})
			e.preventDefault();
		});

	//Show Items in Cart
	$( ".cart-box").click(function(e) { //when user clicks on cart box
		e.preventDefault(); 
		$(".shopping-cart-box").fadeIn(); //display cart box
		$("#shopping-cart-results").html('<img src="images/ajax-loader.gif">'); //show loading image
		$("#shopping-cart-results" ).load( "cart_process.php", {"load_cart":"1"}); //Make ajax request using jQuery Load() & update results
	});
	
	//Close Cart
	$( ".close-shopping-cart-box").click(function(e){ //user click on cart box close link
		e.preventDefault(); 
		$(".shopping-cart-box").fadeOut(); //close cart-box
	});
	
	//Remove items from cart
	$("#shopping-cart-results").on('click', 'a.remove-item', function(e) {
		e.preventDefault(); 
		var pcode = $(this).attr("data-code"); //get product code
		$(this).parent().fadeOut(); //remove item element from box
		$.getJSON( "cart_process.php", {"remove_code":pcode} , function(data){ //get Item count from Server
			$("#cart-info").html(data.items); //update Item count in cart-info
			$(".cart-box").trigger( "click" ); //trigger click on cart-box to update the items list
		});
	});

});
</script>
<nav class="col-md-18-24" style="margin-top: -25px;"> 
	<ol class="breadcrumb">
	    <li class="breadcrumb-item"><a href="../index.php">Home</a></li>
	    <li class="breadcrumb-item"><a href="index.php">Products</a></li>
	    <li class="breadcrumb-item">Details</li>
	</ol>  
</nav>
<a href="#" class="cart-box" id="cart-info" title="View Cart">
<?php 
if(isset($_SESSION["products"])){
	echo count($_SESSION["products"]); 
}else{
	echo 0; 
}
?>
</a>

<div class="shopping-cart-box">
<a href="#" class="close-shopping-cart-box" >Close</a>
<h5>Cart</h5>
    <div id="shopping-cart-results">
    </div>
</div>
<div class="container">
<?php
//List products from database
$results = $mysqli_conn->query("SELECT product_name, product_desc, product_code, product_image, product_price, product_weight FROM products_list WHERE active=1 AND id=".$id."");
if (!$results){
    printf("Error: %s\n", $mysqli_conn->error);
    exit;
}

//Display fetched records as you please
$products_list =  '';

while($row = $results->fetch_assoc()) {
$amount = $obj->product_price;	
if ($amount>0){
$set = ''.$currency.''.$amount.'';
$giftprice = '$'.$amount.'';
}
else if ($amount<1){
$giftprice = 'Custom ';	
$set = '<input name="amount" placeholder="Enter amount">';	
}
$products_list .= <<<EOT

<form class="form-item">
<div class="card">
	<div class="row">
		<aside class="col-sm-5 border-right">
<article class="gallery-wrap"> 
<div class="p-image">
  <div> <a href="#"><img src="images/{$row["product_image"]}" class="img-responsive"></a></div>
</div> 
</article> 
		</aside>
		<aside class="col-sm-7">
<article class="card-body p-5">
	<h3 class="title mb-3">{$row["product_name"]}</h3>

<p class="price-detail-wrap"> 
	<span class="price h3 text-warning"> 
		<span class="currency"></span><span class="num">{$currency}{$row["product_price"]}</span>
	</span> 	
</p> 
<dl class="item-property">
  <dt>Description</dt>
  <dd><p>{$row["product_desc"]}</p></dd>
</dl>

<hr>
	<div class="row">
		<div class="col-sm-3">
			<dl class="param param-inline">
			  <dt>Quantity: </dt>
			  <dd>
			  	<select class="form-control form-control-sm" style="width:70px;" id="inlineFormCustomSelect" name="product_qty">
	<option value="1">1</option>
    <option value="2">2</option>
    <option value="3">3</option>
    <option value="4">4</option>
    <option value="5">5</option>
			  	</select>
			  </dd>
			</dl>  
		</div> 
		<div class="col-sm-7">
		</div> 
	</div> 
	<hr>
	<input name="product_code" type="hidden" value="{$row["product_code"]}">
    <input name="product_weight" type="hidden" value="{$row["product_weight"]}">
	<button type="submit" class="btn btn-lg btn-outline-primary text-uppercase"  onclick="myFunction()"> <i class="fa fa-shopping-cart"></i> Add to cart </button>
</article> 
		</aside> 
	</div> 
</div> 
</form>

EOT;

}
$products_list .= '';

echo $products_list;
?>
</div>
<div id="snackbar">Item added to cart <a href="view_cart.php" class="white"><i class="fa fa-shopping-cart"></i></a></div>
<?php include('templates/footer.php'); ?>
